#!/usr/bin/perl
#
# script to check session reuse based on mail=
#
# $Id: sessionreusemail.pl,v 1.1 2011/04/21 17:38:50 ca Exp $
#

while (<>) {
	chomp;  # strip record separator

	if (/ da_se=.*, mail=/) {
		$dase = &getvalue($_, 'da_se');
		$mail = &getvalue($_, 'mail');
		if (exists $dasemail{$dase}) {
			if ($dasemail{$dase} ne $mail) {
				printf "conflict: da_se=%s, mail1=%s, mail2=%s\n", $dase, $dasemail{$dase} , $mail;
				exit 1;
			}
		}
		else {
			$dasemail{$dase} = $mail;
		}
		# printf "da_se=%s, mail=%s\n", $dase, $mail;
	}
}
exit 0;

sub getvalue {
	local($line, $field) = @_;

	@entries  = split(/\s*,\s*/,$line);
	for ($i = 0; $i < @entries; $i++) {
		my($lhs,$rhs) = split(/=/,$entries[$i]);
		if ($lhs eq $field) {
			chomp($rhs);
			return $rhs;
		}
	}
	'NO_value';
}
