#!/bin/sh
# $Id: t-smconf-2.sh,v 1.2 2011/11/08 17:34:50 ca Exp $
#

test -s stop && exit 1

# source directory of this (and other) shell script
SD=`dirname $0`
ERRS=0

B=`basename $0 .sh`
CNF=$B.conf
OUT=$B.out

PRG=./smconf

cat > ${CNF} <<EOF
smar { map mt { type=hash; file=/etc/mt.db; } mailertable { name=mt;} }
EOF
${PRG} ${CNF} >${OUT} 2>&1
M=`grep -c '^map mt' ${OUT}`
if test $M -ne 1
then
  ERRS=`expr ${ERRS} + 1 `
  test X"${MTA_STOPONERROR}" != X && exit 1
fi

# ----------------
if test ${ERRS} -eq 0
then
  rm -f ${CNF} ${OUT}
  exit 0
else
  echo "${ERRS} error(s)"
  exit 1
fi
